install apachetop (CentOS 6.3)

Brian
Messages : 5
Inscription : 17 mars 2016, 12:08

install apachetop (CentOS 6.3)

Message par Brian » 17 mars 2016, 12:52

Bonjour,

Je voudrais installer apachetop sur mon serveur Linux CentOS 6.3 64-bits.

J'ai tout d'abord suivi un tuto sur internet, j'ai donc lancé cette commande :

Code : Tout sélectionner

rpm -Uvh http://mirror.chpc.utah.edu/pub/epel/6/x86_64/epel-release-6-8.noarch.rpm
J'ai ensuite utilisé la commande pour installé le paquet apachetop :

Code : Tout sélectionner

yum install apachetop
Mais j'ai une erreur en retour

Code : Tout sélectionner

Loaded plugins: fastestmirror, priorities
Loading mirror speeds from cached hostfile
Error : Cannot retrieve metalink for repository: epel. Please verify its path and try again
Comment puis-je installer apachetop ?

Je suis novice dans ce domaine, merci pour votre aide.

Avatar de l’utilisateur
nouvo09
Messages : 1839
Inscription : 20 octobre 2009, 08:14
Localisation : Paris, France

Re: install apachetop (CentOS 6.3)

Message par nouvo09 » 17 mars 2016, 13:25

J'ai tout d'abord suivi un tuto sur internet, j'ai donc lancé cette commande :

rpm -Uvh http://mirror.chpc.utah.edu/pub/epel/6/ ... noarch.rpm
et quelle a été la réponse du système ?
C'est pas parce que c'est difficile qu'on ose pas,
c'est parce qu'on ose pas que c'est difficile !

Brian
Messages : 5
Inscription : 17 mars 2016, 12:08

Re: install apachetop (CentOS 6.3)

Message par Brian » 17 mars 2016, 14:54

Pour la réponse j'ai eu :

Code : Tout sélectionner

warning: /var/tmp/rpm-tmp.KTvHgQ: Header V3 RSA/SHA256 Signature, key ID 0608b895: NOKEY
Preparing...                     ############################## [100%]
    1:epel-release              ############################## [100%]

Avatar de l’utilisateur
nouvo09
Messages : 1839
Inscription : 20 octobre 2009, 08:14
Localisation : Paris, France

Re: install apachetop (CentOS 6.3)

Message par nouvo09 » 17 mars 2016, 19:28

Je ne vois pas où il peut y avoir un souci. Moi j'ai:

Code : Tout sélectionner

/root # yum repolist | grep epel
 * epel: mirror.ibcp.fr
epel                                     Extra Packages for Enterprise L 9 895+5
et

Code : Tout sélectionner

/root # yum search apachetop
Modules complémentaires chargés : fastestmirror, priorities, refresh-packagekit
Loading mirror speeds from cached hostfile
 * base: centos.mirror.fr.planethoster.net
 * elrepo: ftp.nluug.nl
 * epel: mirror.ibcp.fr
 * extras: centos.crazyfrogs.org
 * rpmfusion-free-updates: www.mirrorservice.org
 * rpmfusion-free-updates-testing: www.mirrorservice.org
 * rpmfusion-free-updates-testing-debuginfo: www.mirrorservice.org
 * rpmfusion-nonfree-updates: www.mirrorservice.org
 * updates: mir01.syntis.net
================================================== N/S Matched: apachetop ==================================================
apachetop.i686 : A top-like display of Apache logs
regarde chez toi ce qui ne correspond pas.
C'est pas parce que c'est difficile qu'on ose pas,
c'est parce qu'on ose pas que c'est difficile !

Beta-Pictoris
Messages : 962
Inscription : 07 janvier 2014, 21:48
Localisation : Angers, France

Re: install apachetop (CentOS 6.3)

Message par Beta-Pictoris » 17 mars 2016, 19:38

A noter, le paquet "epel-release" fait partie du dépot "extras" qui est installé de base sur la centos 6.
Pas besoin d'aller chercher le paquet ailleurs, un "yum install epel-release" doit faire l'affaire.

Brian, mets à jour ton système, vérifie les dépots actifs et recherche ton paquet:

Code : Tout sélectionner

yum update
yum repolist
yum search apachetop
Par ailleurs, quand j'installe des dépots tierces, j'installe, aussi, le paquet "yum-plugin-priorities".
Voir ici: https://wiki.centos.org/PackageManageme ... Priorities

Brian
Messages : 5
Inscription : 17 mars 2016, 12:08

Re: install apachetop (CentOS 6.3)

Message par Brian » 18 mars 2016, 11:18

Merci pour votre aide.

J'ai essayé toute les commandes que vous m'avez proposé.

Que ce soit :
- yum install epel-release
- yum update
- yum repolist
- yum search apachetop

J'ai la même erreur pour toutes ces commandes :

Code : Tout sélectionner

Error: Cannot retrieve metalink for repository: epel. Please verify its path and try again
Cela est du très certainement à cette commande que je n'aurais pas du lancer :

Code : Tout sélectionner

rpm -Uvh http://mirror.chpc.utah.edu/pub/epel/6/x86_64/epel-release-6-8.noarch.rpm

Avatar de l’utilisateur
nouvo09
Messages : 1839
Inscription : 20 octobre 2009, 08:14
Localisation : Paris, France

Re: install apachetop (CentOS 6.3)

Message par nouvo09 » 18 mars 2016, 13:04

Surtout qu'il y est question de la release 6.8 qui n'est pas encore en ligne et juste au stade de la beta.

Ok donne nous le résultat de la commande

ls -l /etc/yum.repos.d | grep epel
C'est pas parce que c'est difficile qu'on ose pas,
c'est parce qu'on ose pas que c'est difficile !

Brian
Messages : 5
Inscription : 17 mars 2016, 12:08

Re: install apachetop (CentOS 6.3)

Message par Brian » 18 mars 2016, 14:55

Voila le résultat de la commande : ls -l /etc/yum.repos.d | grep epel

Code : Tout sélectionner

-rw-r--r-- 1 root root    957   Nov  5  2012 epel.repo
-rw-r--r-- 1 root root   1056   Nov  5  2012 epel-testing.repo
Ne faut il pas désinstaller ce epel release 6.8 ?

Avatar de l’utilisateur
nouvo09
Messages : 1839
Inscription : 20 octobre 2009, 08:14
Localisation : Paris, France

Re: install apachetop (CentOS 6.3)

Message par nouvo09 » 18 mars 2016, 16:23

Déjà ton installation n'a rien fait du tout. J'ai les mêmes dépots, de la même date.

En revanche il se peut qu'ils aient été désactivés, il faudrait poster le contenu de ces deux fichiers pour voir. Ou sinon il faudra chercher ailleurs.
C'est pas parce que c'est difficile qu'on ose pas,
c'est parce qu'on ose pas que c'est difficile !

Beta-Pictoris
Messages : 962
Inscription : 07 janvier 2014, 21:48
Localisation : Angers, France

Re: install apachetop (CentOS 6.3)

Message par Beta-Pictoris » 18 mars 2016, 19:49

Brian, le dépôt "epel" fait appel à des serveurs https. Modifie le fichier "epel.repo" pour tester en http.
Sinon, vérifie la date de ton système. Il se peut qu'elle ne soit pas à jour.

Répondre